//
// Start/Stop lines
//

textures/iiss/white
{
	qer_editorimage textures/iiss/white.jpg
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	{
		map textures/iiss/white.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/iiss/whitesolid
{
	qer_editorimage textures/iiss/white.jpg
	surfaceparm nodamage
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm nolightmap
	{
		map textures/iiss/white.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

//
// Animated arrows
//

textures/iiss/arrowsred
{
	q3map_lightimage textures/iiss/arrow1.tga
	q3map_surfacelight 600
	q3map_lightsubdivide 64
	qer_editorimage textures/iiss/arrow1.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid

	polygonOffset

	{
		animmap 3.6 textures/iiss/arrow6.tga textures/iiss/arrow5.tga textures/iiss/arrow4.tga textures/iiss/arrow3.tga textures/iiss/arrow2.tga textures/iiss/arrow1.tga
		blendfunc add
	}
}

textures/iiss/arrowsgreen
{
	q3map_lightimage textures/iiss/arrowsV1.tga
	q3map_surfacelight 600
	q3map_lightsubdivide 64
	qer_editorimage textures/iiss/arrowsV1.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	polygonOffset

	{
		animmap 3.6 textures/iiss/arrowsV1.tga textures/iiss/arrowsV2.tga textures/iiss/arrowsV3.tga textures/iiss/arrowsV4.tga textures/iiss/arrowsV5.tga textures/iiss/arrowsV6.tga
		blendfunc add
	}
}

//
// Styled lights
//

textures/iiss/wavelight2
{
	qer_editorimage textures/iiss/white.jpg
	q3map_surfacelight 4500
	q3map_lightStyle 1
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	//cull none
	{
		map textures/iiss/white.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inversesawtooth 0.1 0.5 0 0.6
	}
}

textures/iiss/wavelight3
{
	qer_editorimage textures/iiss/white.jpg
	q3map_surfacelight 4500
	q3map_lightStyle 2
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	//cull none
	{
		map textures/iiss/white.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inversesawtooth 0.1 0.5 0.33 0.6
	}
}

textures/iiss/wavelight4
{
	qer_editorimage textures/iiss/white.jpg
	q3map_surfacelight 4500
	q3map_lightStyle 3
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	//cull none
	{
		map textures/iiss/white.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inversesawtooth 0.1 0.5 0.67 0.6
	}
}


textures/iiss/ladder
{
	qer_trans 0.50
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm playerclip
	surfaceparm ladder
}

//
// Tubes
//

textures/iiss/grey
{
	qer_editorimage textures/iiss/gris.jpg
	surfaceparm trans
	surfaceparm nodamage
	q3map_surfacelight 300
	{ 
		map textures/iiss/gris.jpg
		rgbgen identity
		tcmod scroll 0.01 -4
		tcMod turb .1 .2 0 .2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity		
	}
}

textures/iiss/greengrey
{
	qer_editorimage textures/iiss/vertgris.jpg
	surfaceparm trans
	surfaceparm nodamage
	q3map_surfacelight 300
	{ 
		map textures/iiss/vertgris.jpg
		rgbgen identity
		tcmod scroll 0.0134 4.0237
		tcMod turb .1 .207 0 .249
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity		
	}
}

textures/iiss/redgrey
{
	qer_editorimage textures/iiss/rougegris.jpg
	surfaceparm trans
	surfaceparm nodamage
	q3map_surfacelight 300
	{ 
		map textures/iiss/rougegris.jpg
		rgbgen identity
		tcmod scroll 0 4.0318
		tcMod turb .1 .241 0 .196
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity		
	}
}

textures/iiss/bluegrey
{
	qer_editorimage textures/iiss/bleugris.jpg
	surfaceparm trans
	surfaceparm nodamage
	q3map_surfacelight 300
	{ 
		map textures/iiss/bleugris.jpg
		rgbgen identity
		tcmod scroll -0.0217 4.0126
		tcMod turb .1 .187 0 .220
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity		
	}
}

textures/iiss/tubelight
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_lightsubdivide 64
	q3map_surfacelight 100
}

//
//Skybox
//

textures/iiss/earth
{
	q3map_lightimage env/iiss/earth01_ft.jpg
	qer_editorimage env/iiss/earth01_lf.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	//q3map_lightsubdivide 128
	//q3map_surfacelight 900
	//q3map_skylight 100 12
	q3map_sunExt 1 0.98 0.87 600 180 80 14 64
	q3map_sunExt 0.145 0.361 0.525 600 90 -55 60 128
	q3map_sunExt 0.443 0.435 0.451 150 295 0 5 16
	surfaceparm sky
	skyparms env/iiss/earth01 - -
}

//
//Windows
//

textures/iiss/glass2
{
        qer_editorimage textures/iiss/tinfxcloud.tga
        qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nolightmap
	//q3map_surfacelight 450
        {
                map textures/iiss/tinfxcloud.tga
                tcgen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
        }

}

textures/iiss/glassopaque
{
        qer_editorimage textures/iiss/tinfxlightcloud.tga
        qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nolightmap
	//q3map_surfacelight 450
        {
                map textures/iiss/tinfxlightcloud.tga
                tcgen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
        }

}

textures/iiss/glassopaquepatch
{
        qer_editorimage textures/iiss/tinfx.tga
        qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nolightmap
	//q3map_surfacelight 450
        {
                map textures/iiss/tinfx.tga
                tcgen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
        }

}

textures/iiss/metalwindow
{
	qer_editorimage textures/iiss/e8_base1c.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/iiss/e8_base1c.jpg
		blendfunc filter
		rgbGen identity
	}
}

//
// Logos
//

textures/iiss/iisslogowhite
{
	qer_editorimage textures/iiss/iisslogowhite.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	
	polygonOffset
	nopicmip
	nomipmaps

	{
		map textures/iiss/iisslogowhite.tga
		blendfunc add
	}
}

textures/iiss/hangarbay
{
	qer_editorimage textures/iiss/hangarbay.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/iiss/hangarbay.jpg
		blendfunc filter
		rgbGen identity
	}
}

//
// Grounds walls ceiling
//
textures/iiss/ground
{
	qer_editorimage textures/iiss/8b_basicsurface01.tga
	q3map_surfacelight 360
	q3map_lightimage textures/iiss/8b_basicsurface01.tga
	surfaceparm slick
	surfaceparm nodamage

	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/iiss/8b_basicsurface01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/iiss/8b_basicsurface01.tga
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/iiss/8b_basicsurface01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/iiss/groundnolight
{
	//qer_editorimage textures/iiss/8b_basicsurface01.tga
	//q3map_surfacelight 360
	//q3map_lightimage textures/iiss/8b_basicsurface01.tga
	surfaceparm slick
	surfaceparm nodamage

	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/iiss/8b_basicsurface01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/iiss/8b_basicsurface01.tga
		blendfunc GL_ONE GL_ONE
	}
	{
		map textures/iiss/8b_basicsurface01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/iiss/greydark
{
	qer_editorimage textures/iiss/greydark.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/iiss/greydark.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/iiss/concreteb
{
	qer_editorimage textures/iiss/e8crete03b.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/iiss/e8crete03b.jpg
		blendfunc filter
		rgbGen identity
	}
	
}

textures/iiss/concretebnosolid
{
	qer_editorimage textures/iiss/e8crete03b.jpg
	surfaceparm nodamage
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/iiss/e8crete03b.jpg
		blendfunc filter
		rgbGen identity
	}
	
}

textures/iiss/concreteslick
{
    qer_editorimage textures/iiss/mur6_7.jpg
    surfaceparm nodamage
    surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/iiss/mur6_7.jpg
		blendfunc filter
		rgbGen identity
	}
	
}

textures/iiss/woodledge
{
	qer_editorimage textures/iiss/wood18.tga
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/iiss/wood18.tga
		blendfunc filter
		rgbGen identity
	}	
}

textures/iiss/carreaux
{
	qer_editorimage textures/iiss/carreaux1.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	q3map_styleMarker
	{
		map textures/iiss/carreaux1.jpg
		blendfunc filter
		rgbGen identity
	}	
}

textures/iiss/whitelight
{
	qer_editorimage textures/iiss/white.jpg
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	//surfaceparm nolightmap
	q3map_surfacelight 2400
	q3map_lightsubdivide 64
	//polygonOffset
	{
		map textures/iiss/white.jpg
	}
	{
		map $lightmap
		blendfunc add
	}	
}

textures/iiss/black
{
	surfaceparm nodamage
	{
		map textures/iiss/black.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}
}